MaillyDocs

Create or update the inbound webhook

PUT
/inbox/webhook

url must be public HTTPS. When bodyFormat is omitted, the existing setting is kept. Use either signingSecret (32-256 characters) or rotateSecret; a generated secret is returned only once in the response.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Request Body

application/json
  1. body
url?string
active?boolean
bodyFormat?string

text / html / markdown

stripQuotes?boolean
signingSecret?string
rotateSecret?boolean
[key: string]?unknown

Response Body

Updated

application/json
  1. response
success*boolean
webhook*
signingSecret?string
[key: string]?unknown
curl -X PUT 'https://api.mailly.site/inbox/webhook' \  -H 'Content-Type: application/json' \  -d '{  "property1": null,  "property2": null}'
{  "success": true,  "webhook": {    "property1": null,    "property2": null  },  "signingSecret": "string",  "property1": null,  "property2": null}